Package com.oracle.nosql.spring.data.repository.support

# Class SimpleReactiveNosqlRepository<T,ID extends Serializable>

java.lang.Object
com.oracle.nosql.spring.data.repository.support.SimpleReactiveNosqlRepository<T,ID>

All Implemented Interfaces:
  `ReactiveNosqlRepository<T,ID>`, `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID>`, `org.springframework.data.repository.reactive.ReactiveSortingRepository<T,ID>`, `org.springframework.data.repository.Repository<T,ID>`

public class SimpleReactiveNosqlRepository<T,ID extends Serializable> extends Object implements ReactiveNosqlRepository<T,ID>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleReactiveNosqlRepository(NosqlEntityInformation<T,ID> metadata, ReactiveNosqlOperations reactiveNosqlOperations)`
  `SimpleReactiveNosqlRepository(NosqlEntityInformation<T,ID> metadata, org.springframework.context.ApplicationContext applicationContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearPreparedStatementsCache()`
  Clears the prepared statements cache.
  `reactor.core.publisher.Mono<Long>`
  `count()`
  `reactor.core.publisher.Mono<Void>`
  `delete(T entity)`
  `reactor.core.publisher.Mono<Void>`
  `deleteAll()`
  `reactor.core.publisher.Mono<Void>`
  `deleteAll(Iterable<? extends T> entities)`
  `reactor.core.publisher.Mono<Void>`
  `deleteAll(org.reactivestreams.Publisher<? extends T> entityStream)`
  `reactor.core.publisher.Mono<Void>`
  `deleteAllById(Iterable<? extends ID> ids)`
  `reactor.core.publisher.Mono<Void>`
  `deleteById(ID id)`
  `reactor.core.publisher.Mono<Void>`
  `deleteById(org.reactivestreams.Publisher<ID> idPublisher)`
  `reactor.core.publisher.Mono<Boolean>`
  `existsById(ID id)`
  `reactor.core.publisher.Mono<Boolean>`
  `existsById(org.reactivestreams.Publisher<ID> publisher)`
  `reactor.core.publisher.Flux<T>`
  `findAll()`
  `reactor.core.publisher.Flux<T>`
  `findAll(org.springframework.data.domain.Sort sort)`
  `reactor.core.publisher.Flux<T>`
  `findAllById(Iterable<ID> ids)`
  `reactor.core.publisher.Flux<T>`
  `findAllById(org.reactivestreams.Publisher<ID> idStream)`
  `reactor.core.publisher.Mono<T>`
  `findById(ID id)`
  `reactor.core.publisher.Mono<T>`
  `findById(org.reactivestreams.Publisher<ID> idPublisher)`
  `String`
  `getConsistency()`
  Returns the configured read request consistency value.
  `String`
  `getDurability()`
  Returns the configured request durability value.
  `int`
  `getTimeout()`
  Returns the configured request timeout value, in milliseconds, or 0 if it has not been set.
  `<S extends T>
  reactor.core.publisher.Mono<S>`
  `save(S entity)`
  `<S extends T>
  reactor.core.publisher.Flux<S>`
  `saveAll(Iterable<S> entities)`
  `<S extends T>
  reactor.core.publisher.Flux<S>`
  `saveAll(org.reactivestreams.Publisher<S> entityStream)`
  `void`
  `setConsistency(String consistency)`
  Sets the read request consistency value.
  `void`
  `setDurability(String durability)`
  Sets the request durability value.
  `void`
  `setTimeout(int milliseconds)`
  Sets the request timeout value, in milliseconds.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleReactiveNosqlRepository

    public SimpleReactiveNosqlRepository(NosqlEntityInformation<T,ID> metadata, org.springframework.context.ApplicationContext applicationContext)

  - ### SimpleReactiveNosqlRepository

    public SimpleReactiveNosqlRepository(NosqlEntityInformation<T,ID> metadata, ReactiveNosqlOperations reactiveNosqlOperations)

- ## Method Details

  - ### save

    public <S extends T> reactor.core.publisher.Mono<S> save(S entity)
    Specified by:
      `save` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### saveAll

    public <S extends T> reactor.core.publisher.Flux<S> saveAll(Iterable<S> entities)
    Specified by:
      `saveAll` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### saveAll

    public <S extends T> reactor.core.publisher.Flux<S> saveAll(org.reactivestreams.Publisher<S> entityStream)
    Specified by:
      `saveAll` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### findById

    public reactor.core.publisher.Mono<T> findById(ID id)
    Specified by:
      `findById` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### findById

    public reactor.core.publisher.Mono<T> findById(org.reactivestreams.Publisher<ID> idPublisher)
    Specified by:
      `findById` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### existsById

    public reactor.core.publisher.Mono<Boolean> existsById(ID id)
    Specified by:
      `existsById` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### existsById

    public reactor.core.publisher.Mono<Boolean> existsById(org.reactivestreams.Publisher<ID> publisher)
    Specified by:
      `existsById` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### findAll

    public reactor.core.publisher.Flux<T> findAll()
    Specified by:
      `findAll` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### findAllById

    public reactor.core.publisher.Flux<T> findAllById(Iterable<ID> ids)
    Specified by:
      `findAllById` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### findAllById

    public reactor.core.publisher.Flux<T> findAllById(org.reactivestreams.Publisher<ID> idStream)
    Specified by:
      `findAllById` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### count

    public reactor.core.publisher.Mono<Long> count()
    Specified by:
      `count` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### deleteById

    public reactor.core.publisher.Mono<Void> deleteById(ID id)
    Specified by:
      `deleteById` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### deleteById

    public reactor.core.publisher.Mono<Void> deleteById(org.reactivestreams.Publisher<ID> idPublisher)
    Specified by:
      `deleteById` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### delete

    public reactor.core.publisher.Mono<Void> delete(T entity)
    Specified by:
      `delete` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### deleteAllById

    public reactor.core.publisher.Mono<Void> deleteAllById(Iterable<? extends ID> ids)
    Specified by:
      `deleteAllById` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### deleteAll

    public reactor.core.publisher.Mono<Void> deleteAll(Iterable<? extends T> entities)
    Specified by:
      `deleteAll` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### deleteAll

    public reactor.core.publisher.Mono<Void> deleteAll(org.reactivestreams.Publisher<? extends T> entityStream)
    Specified by:
      `deleteAll` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### deleteAll

    public reactor.core.publisher.Mono<Void> deleteAll()
    Specified by:
      `deleteAll` in interface `org.springframework.data.repository.reactive.ReactiveCrudRepository<T,ID extends Serializable>`

  - ### findAll

    public reactor.core.publisher.Flux<T> findAll(org.springframework.data.domain.Sort sort)
    Specified by:
      `findAll` in interface `org.springframework.data.repository.reactive.ReactiveSortingRepository<T,ID extends Serializable>`

  - ### getTimeout

    public int getTimeout()
    Description copied from interface: `ReactiveNosqlRepository`
    Returns the configured request timeout value, in milliseconds, or 0 if it has not been set.
    Specified by:
      `getTimeout` in interface `ReactiveNosqlRepository<T,ID extends Serializable>`
    See Also:
      - `ReactiveNosqlRepository.getTimeout()`

  - ### setTimeout

    public void setTimeout(int milliseconds)
    Description copied from interface: `ReactiveNosqlRepository`
    Sets the request timeout value, in milliseconds. This overrides any default value set in NoSQLHandleConfig. The value must be positive. This set takes precedence over the one set when using `NosqlTable.timeout()`.
    Specified by:
      `setTimeout` in interface `ReactiveNosqlRepository<T,ID extends Serializable>`
    See Also:
      - `ReactiveNosqlRepository.setTimeout(int)`

  - ### getConsistency

    public String getConsistency()
    Description copied from interface: `ReactiveNosqlRepository`
    Returns the configured read request consistency value.
    Specified by:
      `getConsistency` in interface `ReactiveNosqlRepository<T,ID extends Serializable>`
    See Also:
      - `ReactiveNosqlRepository.getConsistency()`

  - ### setConsistency

    public void setConsistency(String consistency)
    Description copied from interface: `ReactiveNosqlRepository`
    Sets the read request consistency value. The value must be one of `Consistency` values. This set takes precedence over the one set when using `NosqlTable.consistency()`.
    Specified by:
      `setConsistency` in interface `ReactiveNosqlRepository<T,ID extends Serializable>`
    See Also:
      - `ReactiveNosqlRepository.setConsistency(String)`

  - ### getDurability

    public String getDurability()
    Description copied from interface: `ReactiveNosqlRepository`
    Returns the configured request durability value.
    Specified by:
      `getDurability` in interface `ReactiveNosqlRepository<T,ID extends Serializable>`
    See Also:
      - `NosqlRepository.getDurability()`

  - ### setDurability

    public void setDurability(String durability)
    Description copied from interface: `ReactiveNosqlRepository`
    Sets the request durability value. The value must be one of the defined Durability values: `Durability.COMMIT_NO_SYNC`, `Durability.COMMIT_WRITE_NO_SYNC` or `Durability.COMMIT_SYNC`.

    This set takes precedence over the one set when using `NosqlTable.durability()`.

    Note: This applies to On-Prem installations only.

    Specified by:
      `setDurability` in interface `ReactiveNosqlRepository<T,ID extends Serializable>`
    See Also:
      - `NosqlRepository.setDurability(String)`

  - ### clearPreparedStatementsCache

    public void clearPreparedStatementsCache()
    Clears the prepared statements cache.
    Specified by:
      `clearPreparedStatementsCache` in interface `ReactiveNosqlRepository<T,ID extends Serializable>`